| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions | Variables
OCVConfig.cpp File Reference
`#include "OCVConfig.h"`
Include dependency graph for OCVConfig.cpp:

## Functions
const cv::Size | subPixWinSize (10, 10)
const cv::Size | winSize (31, 31)
cv::TermCriteria | termcrit (cv::TermCriteria::COUNT|cv::TermCriteria::EPS, 20, 0.03)
cv::RNG | rng (0xFFFFFFFF)

## Variables
int | minRequiredDetectedFeatures = 50
int | markerTemplateWidth = 15
int | maxLevel = 3
| Maximum number of levels in optical flow image pyramid.
const int | MAX_COUNT = 300
int | searchRadius = 15
int | match_method = cv::TM_SQDIFF_NORMED
int | featureDetectPyramidLevel = 2
int | defaultDetectorType = 0
| ‍Scale factor applied to image pyramid to determine image to perform feature matching upon.
const double | nn_match_ratio = 0.8f
| Nearest-neighbour matching ratio.
const double | ransac_thresh = 2.5f
| RANSAC inlier threshold.
int | harrisBorder = 10
| Harris corners within this many pixels of the border of the image will be ignored.

## Function Documentation

## ◆ rng()

cv::RNG rng | ( | 0xFFFFFFFF |  | ) |

## ◆ subPixWinSize()

const cv::Size subPixWinSize | ( | 10 | ,
|  | 10 |
| ) |  |

## ◆ termcrit()

cv::TermCriteria termcrit | ( | cv::TermCriteria::COUNT|cv::TermCriteria::EPS | ,
|  | 20 | ,
|  | 0. | 03
| ) |  |

## ◆ winSize()

const cv::Size winSize | ( | 31 | ,
|  | 31 |
| ) |  |

## Variable Documentation

## ◆ defaultDetectorType

int defaultDetectorType = 0

> ‍Scale factor applied to image pyramid to determine image to perform feature matching upon.

## ◆ featureDetectPyramidLevel

int featureDetectPyramidLevel = 2

## ◆ harrisBorder

int harrisBorder = 10

Harris corners within this many pixels of the border of the image will be ignored.

## ◆ markerTemplateWidth

int markerTemplateWidth = 15

## ◆ match_method

int match_method = cv::TM_SQDIFF_NORMED

## ◆ MAX_COUNT

const int MAX_COUNT = 300

## ◆ maxLevel

int maxLevel = 3

Maximum number of levels in optical flow image pyramid.

## ◆ minRequiredDetectedFeatures

int minRequiredDetectedFeatures = 50

## ◆ nn_match_ratio

const double nn_match_ratio = 0.8f

Nearest-neighbour matching ratio.

## ◆ ransac_thresh

const double ransac_thresh = 2.5f

RANSAC inlier threshold.

## ◆ searchRadius

int searchRadius = 15